Package org.a2aproject.sdk.spec
Enum Class APIKeySecurityScheme.Location
- All Implemented Interfaces:
Serializable,Comparable<APIKeySecurityScheme.Location>,Constable
- Enclosing class:
- APIKeySecurityScheme
Represents the location of the API key.
-
Nested Class Summary
Nested classes/interfaces inherited from class java.lang.Enum
Enum.EnumDesc<E extends Enum<E>> -
Enum Constant Summary
Enum Constants -
Method Summary
Modifier and TypeMethodDescriptionasString()Converts this location to its string representation.fromString(String location) Converts a string to a Location enum value.Returns the enum constant of this class with the specified name.static APIKeySecurityScheme.Location[]values()Returns an array containing the constants of this enum class, in the order they are declared.
-
Enum Constant Details
-
COOKIE
API key sent in a cookie. -
HEADER
API key sent in an HTTP header. -
QUERY
API key sent as a query parameter.
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
asString
Converts this location to its string representation.- Returns:
- the string representation of this location
-
fromString
Converts a string to a Location enum value.- Parameters:
location- the string location ("cookie", "header", or "query")- Returns:
- the corresponding Location enum value
- Throws:
IllegalArgumentException- if the location string is invalid
-